Get environment audit log
curl --request GET \
--url https://app.kosli.com/api/v2/environments/{org}/{env_name}/auditlog \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kosli.com/api/v2/environments/{org}/{env_name}/auditlog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kosli.com/api/v2/environments/{org}/{env_name}/auditlog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "Environment not found"
}Get environment audit log
Get audit log (as a CSV file) for an environment.
GET
/
environments
/
{org}
/
{env_name}
/
auditlog
Get environment audit log
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
From timestamp filter. Takes a UNIX timestamp. e.g. from_timestamp=1675167540
To timestamp filter. Takes a UNIX timestamp. e.g. from_timestamp=1675167540
Event types filter. Can be one of started, exited, changed. e.g. event_types=started,exited
Flow names filter as comma separated list. Use 'no provenance' to include artifacts without provenance.e.g. flow_names=server,web,no provenance
Repo names filter as comma separated list. e.g. repo_names=repo1,repo2
Response
Successful audit log retrieval
The response is of type string.
Last modified on June 18, 2026